module Types
  class CourseType < BaseObject
  	field :id, ID, null: false
    field :title, String, null: false
    field :course_contents, [Types::CourseContentType], null: false
    field :contents, [Types::ContentType], null: false

    def self.authorized?(object, context)
      true
    end
  end
end